.objects {
    padding-top: 20px;

    &__header {
        margin-bottom: 24px;
    }

    &__nav {
        padding: 0;
        list-style: none;
        margin: 0 -6px 24px -6px;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: space-between;

        &--item {
            padding: 0 6px;
        }

        &--button {
            margin: 0;
            padding: 0;
            border: none;
            outline: none;
            color: $primary;
            cursor: pointer;
            font-weight: 500;
            white-space: nowrap;
            font-size: size-rel(12px);
            line-height: size-rel(22px);
            display: inline-block;
            text-decoration: none;
            background: transparent;

            &:hover,
            &.active {
                color: $accent;
                text-decoration: none;
            }
        }
    }

    &__main {

        &--item {
            display: none;

            &.active {
                display: block;
            }
        }
    }

    &__image {
        height: 400px;
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
    }

    @include media-breakpoint-up(sm) {

        &__nav {
            justify-content: flex-start;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: 40px;
    }

    @include media-breakpoint-up(lg) {
        padding-top: 80px;
        padding-bottom: 80px;

        &__image {
            height: 668px;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: 160px;
    }
    @include media-breakpoint-up(xxl) {
        padding-bottom: 160px;

        &__image {
            height: 800px;
        }
    }
}

.object-gallery {
    position: relative;

    &__filter {
        top: 16px;
        left: 0;
        right: 0;
        z-index: 100;
        position: absolute;
    }

    &__slider {
        z-index: 10;
        position: relative;
    }

    &__nav {
        top: 0;
        bottom: 0;
        z-index: 10;
        width: 50%;
        display: none;
        position: absolute;

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }
    }

    @include media-breakpoint-up(lg) {

        &__filter {
            top: 24px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            display: block;

            &--prev {
                left: 0;

                &:hover {
                    cursor: url("../images/cursor_arrow_prev.svg"), pointer;
                }
            }

            &--next {
                right: 0;

                &:hover {
                    cursor: url("../images/cursor_arrow_next.svg"), pointer;
                }
            }

            &.swiper-button-disabled {
                opacity: 0;
                visibility: hidden;
            }
        }
    }
}

.objects-filter {
    white-space: nowrap;
    position: relative;
    display: inline-block;

    &__header {
        color: $white;
        cursor: pointer;
        padding: 7px 16px;
        border-radius: 8px;
        font-weight: 500;
        text-align: left;
        background: $accent;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        border: 1px solid $accent;
        display: flex;
        align-items: center;

        svg {
            fill: $white;
        }

        &--active {
            display: inline-block;
        }

        &--arrow {
            font-size: 0;
            line-height: 0;
            display: inline-block;
            height: 12px;
            margin-left: 10px;
        }
    }

    &__content {
        opacity: 0;
        visibility: hidden;
        top: calc(100% + 4px);
        left: 0;
        margin: 0;
        padding: 8px 0;
        overflow: hidden;
        list-style: none;
        min-width: 100%;
        background: $white;
        border-radius: 8px;
        position: absolute;
        vertical-align: middle;
    }

    &__item {

    }

    &__button {
        border: none;
        outline: none;
        width: 100%;
        cursor: pointer;
        text-align: left;
        display: inline-block;
        padding: 8px 16px;
        background: $white;
        font-size: size-rel(12px);
        line-height: size-rel(22px);

        &:hover {
            color: $accent;
        }

        &.active {
            color: $white;
            background: $accent;
        }
    }

    &.open {

        .objects-filter {

            &__header {
                color: $accent;
                background: $white;

                svg {
                    fill: $accent;
                }

                &--arrow {
                    transform: rotate(180deg);
                }
            }

            &__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: block;

        &__header {
            display: none;
        }

        &__content {
            padding: 0;
            top: auto;
            left: auto;
            opacity: 1;
            background: transparent;
            visibility: visible;
            position: relative;
            display: flex;
            align-items: center;
        }

        &__item {
            margin-right: 8px;
        }

        &__button {
            font-weight: 500;
            padding: 8px 15px;
            border-radius: 8px;
            font-size: size-rel(14px);
            line-height: size-rel(22px);
            border: 1px solid $white;

            &:hover {
                color: $white;
                background: $accent;
                border-color: $accent;
            }

            &.active {
                border-color: $accent;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-left: 270px;
    }

    @include media-breakpoint-up(xxl) {
        margin-left: 366px;
    }
}
